kio Library: UIServer Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# UIServer Class Reference

It's purpose is to show progress of IO operations. Graphical server for progress information with an optional all-in-one progress window. More...

`#include <uiserver.h>`

Inheritance diagram for UIServer:

[legend]
Collaboration diagram for UIServer:

[legend]
List of all members.

## Public Slots
void | slotConfigure ()
void | slotRemoveSystemTrayIcon ()
## DCOP Member Functions
int | newJob (QCString appId, bool showProgress)
ASYNC | jobFinished (int id)
ASYNC | totalSize (int id, unsigned long size)
ASYNC | totalSize64 (int id, KIO::filesize_t size)
ASYNC | totalFiles (int id, unsigned long files)
ASYNC | totalDirs (int id, unsigned long dirs)
ASYNC | processedSize (int id, unsigned long bytes)
ASYNC | processedSize64 (int id, KIO::filesize_t bytes)
ASYNC | processedFiles (int id, unsigned long files)
ASYNC | processedDirs (int id, unsigned long dirs)
ASYNC | percent (int id, unsigned long ipercent)
ASYNC | speed (int id, unsigned long bytes_per_second)
ASYNC | infoMessage (int id, const QString &msg)
ASYNC | copying (int id, KURL from, KURL to)
ASYNC | moving (int id, KURL from, KURL to)
ASYNC | deleting (int id, KURL url)
ASYNC | transferring (int id, KURL url)
ASYNC | creatingDir (int id, KURL dir)
ASYNC | stating (int id, KURL url)
ASYNC | mounting (int id, QString dev, QString point)
ASYNC | unmounting (int id, QString point)
ASYNC | canResume (int id, unsigned long offset)
ASYNC | canResume64 (int id, KIO::filesize_t offset)
QByteArray | openPassDlg (const KIO::AuthInfo &info)
int | messageBox (int id, int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo)
QByteArray | open_RenameDlg64 (int id, const QString &caption, const QString &src, const QString &dest, intmode, KIO::filesize_t sizeSrc, KIO::filesize_t sizeDest, unsigned longctimeSrc, unsigned longctimeDest, unsigned longmtimeSrc, unsigned longmtimeDest)
QByteArray | open_RenameDlg (int id, const QString &caption, const QString &src, const QString &dest, intmode, unsigned long sizeSrc, unsigned long sizeDest, unsigned longctimeSrc, unsigned longctimeDest, unsigned longmtimeSrc, unsigned longmtimeDest)
int | open_SkipDlg (int id, intmulti, const QString &error_text)
void | setListMode (bool list)
void | setJobVisible (int id, bool visible)
void | showSSLInfoDialog (const QString &url, const KIO::MetaData &data, int mainwindow)
void | showSSLInfoDialog (const QString &url, const KIO::MetaData &data)
KSSLCertDlgRet | showSSLCertDialog (const QString &host, const QStringList &certList, int mainwindow)
KSSLCertDlgRet | showSSLCertDialog (const QString &host, const QStringList &certList)
## Static Public Member Functions
static UIServer * | createInstance ()
## Protected Slots
void | slotUpdate ()
void | slotQuit ()
void | slotCancelCurrent ()
void | slotToggleDefaultProgress (QListViewItem *)
void | slotSelection ()
void | slotJobCanceled (ProgressItem *)
void | slotApplyConfig ()
void | slotShowContextMenu (KListView *, QListViewItem *item, const QPoint &pos)
## Protected Member Functions
ProgressItem * | findItem (int id)
virtual void | resizeEvent (QResizeEvent *e)
virtual bool | queryClose ()
void | setItemVisible (ProgressItem *item, bool visible)
void | applySettings ()
void | readSettings ()
void | writeSettings ()
## Protected Attributes
QTimer * | updateTimer
ListProgress * | listProgress
KToolBar::BarPosition | toolbarPos
QString | properties
## Friends
class | no_bogus_warning_from_gcc

## Detailed Description

It's purpose is to show progress of IO operations. Graphical server for progress information with an optional all-in-one progress window.

There is only one instance of this window for all jobs.

All IO operations ( jobs ) are displayed in this window, one line per operation. User can cancel operations with Cancel button on toolbar.

Double clicking an item in the list opens a small download window ( DefaultProgress ).

Author:
  David Faure <faure@kde.org>

  Matej Koss <koss@miesto.sk>

Definition at line 217 of file uiserver.h.

## Member Function Documentation

int UIServer::newJob | ( | QCString | appId,
|  | bool | showProgress
| ) |

  | Signal a new job. Parameters:
  | appId | the DCOP application id of the job's parent application
  See also: KIO::Observer::newJob Parameters:
  | showProgress | whether to popup the progress for the job. Usually true, but may be false when we use kio_uiserver for other things, like SSL dialogs.
Returns: the job id Definition at line 746 of file uiserver.cpp.

QByteArray UIServer::openPassDlg | ( | const KIO::AuthInfo & | info | ) |

| Deprecated: (it blocks other apps). Use KIO::PasswordDialog::getNameAndPassword instead. To be removed in KDE 4.0. Definition at line 1148 of file uiserver.cpp.

int UIServer::messageBox | ( | int | id,
|  | int | type,
|  | const QString & | text,
|  | const QString & | caption,
|  | const QString & | buttonYes,
|  | const QString & | buttonNo
| ) |

  | Popup a message box. Parameters:
  | type | type of message box: QuestionYesNo, WarningYesNo, WarningContinueCancel... This enum is defined in slavebase.h, it currently is: QuestionYesNo = 1, WarningYesNo = 2, WarningContinueCancel = 3, WarningYesNoCancel = 4, Information = 5, SSLMessageBox = 6
  | text | Message string. May contain newlines.
  | caption | Message box title.
  | buttonYes | The text for the first button. The default is i18n("&Yes").
  | buttonNo | The text for the second button. The default is i18n("&No"). Note: for ContinueCancel, buttonYes is the continue button and buttonNo is unused. and for Information, none is used.
Returns: a button code, as defined in KMessageBox, or 0 on communication error. Definition at line 1167 of file uiserver.cpp.

QByteArray UIServer::open_RenameDlg64 | ( | int | id,
|  | const QString & | caption,
|  | const QString & | src,
|  | const QString & | dest,
|  | intmode | ,
|  | KIO::filesize_t | sizeSrc,
|  | KIO::filesize_t | sizeDest,
|  | unsigned | longctimeSrc,
|  | unsigned | longctimeDest,
|  | unsigned | longmtimeSrc,
|  | unsigned | longmtimeDest
| ) |

| Deprecated: (it blocks other apps). Use KIO::open_RenameDlg instead. To be removed in KDE 4.0. Definition at line 1267 of file uiserver.cpp.

QByteArray UIServer::open_RenameDlg | ( | int | id,
|  | const QString & | caption,
|  | const QString & | src,
|  | const QString & | dest,
|  | intmode | ,
|  | unsigned long | sizeSrc,
|  | unsigned long | sizeDest,
|  | unsigned | longctimeSrc,
|  | unsigned | longctimeDest,
|  | unsigned | longmtimeSrc,
|  | unsigned | longmtimeDest
| ) |

| Deprecated: (it blocks other apps). Use KIO::open_RenameDlg instead. To be removed in KDE 4.0. Definition at line 1252 of file uiserver.cpp.

int UIServer::open_SkipDlg | ( | int | id,
|  | intmulti | ,
|  | const QString & | error_text
| ) |

| Deprecated: (it blocks other apps). Use KIO::open_SkipDlg instead. To be removed in KDE 4.0. Definition at line 1299 of file uiserver.cpp.

void UIServer::setListMode | ( | bool | list | ) |

| Switch to or from list mode - called by the kcontrol module. Definition at line 1107 of file uiserver.cpp.

void UIServer::setJobVisible | ( | int | id,
|  | bool | visible
| ) |

| Hide or show a job. Typically, we hide a job while a "skip" or "rename" dialog is being shown for this job. This prevents killing it from the uiserver. Definition at line 806 of file uiserver.cpp.

void UIServer::showSSLInfoDialog | ( | const QString & | url,
|  | const KIO::MetaData & | data,
|  | int | mainwindow
| ) |

| Show a SSL Information Dialog. Definition at line 1177 of file uiserver.cpp.

void UIServer::showSSLInfoDialog | ( | const QString & | url,
|  | const KIO::MetaData & | data
| ) |

| Deprecated: Definition at line 1172 of file uiserver.cpp.

The documentation for this class was generated from the following files:

- uiserver.h
- uiserver.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:30 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003